org.crosswire.jsword.passage

## Class AbstractKeyList.NameVisitor

- java.lang.Object
- - org.crosswire.jsword.passage.DefaultKeyVisitor
  - - org.crosswire.jsword.passage.AbstractKeyList.NameVisitor

- All Implemented Interfaces:
    KeyVisitor
  Direct Known Subclasses:
    AbstractKeyList.OsisIDVisitor, AbstractKeyList.OsisRefVisitor
  Enclosing class:
    AbstractKeyList

      static class AbstractKeyList.NameVisitor
      extends DefaultKeyVisitor

  The `NameVisitor` constructs a readable representation of the Passage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringBuilder` | `buffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractKeyList.NameVisitor()` Create a `NameVisitor`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `void` | `visitLeaf(Key key)` We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.

    - ### Methods inherited from class org.crosswire.jsword.passage.DefaultKeyVisitor

      `visitBranch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### buffer

          protected StringBuilder buffer

  - ### Constructor Detail

    - #### AbstractKeyList.NameVisitor

          AbstractKeyList.NameVisitor()

      Create a `NameVisitor`.

  - ### Method Detail

    - #### visitLeaf

          public void visitLeaf(Key key)

      Description copied from interface: `KeyVisitor`
      We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.
      Specified by:
        `visitLeaf` in interface `KeyVisitor`
      Overrides:
        `visitLeaf` in class `DefaultKeyVisitor`
      Parameters:
        `key` - The found leaf node.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`